function ICF=gen_ICF(Dval,mask,multiplier)
%
% Usage: ICF=gen_ICF(Dval,mask,multiplier)
% for analysis of DNA samples, use multiplier = 3;

Msca=length(Dval); Lsca=multiplier*Msca;
ICF=zeros(Msca,Lsca);
maskl=length(mask);
cmask=round(length(mask)/2); rmask=length(mask)-cmask;
cmult=round(multiplier/2); rmult=multiplier-cmult;
%
for i=1:1:Msca
	lind=(i-1)*multiplier+1+cmult-cmask; rind=lind+maskl-1;
	if lind<1, lmi=2-lind; lind=1;; else lmi=1; end
	if rind>Lsca, rmi=maskl-(rind-Lsca); rind=Lsca; else rmi=maskl; end
    ICF(i,lind:rind)=mask(lmi:rmi);
	ICF(i,lind)=ICF(i,lind)+sum(mask(1:lmi-1));
	ICF(i,rind)=ICF(i,rind)+sum(mask(rmi+1:maskl));
end
% ICF(1:multiplier,:)=0; for i=1:multiplier ICF(i,i)=1/multiplier; end;