function Idelta=gen_Idelta(sval,IU,IA,IB,IAB,IAu,IBuf,PDI)
%
% Usage: Idelta=gen_Idelta(sval,IU,IA,IB,IAB,IAu,IBuf,PDI);
% IU = unlabeled; IA = single label A; IB = single label B; IAB = single
% label AB; IAu = gold; IBuf = buffer profile (F); use PDI = 1.0
SCUT=0.05; DCUTL=16; DCUTH=201; DBIN=5;
sidx=find(sval>=SCUT);
Dval=1:DBIN:200; Didx=find(Dval<=DCUTL|Dval>=DCUTH);
IqD=gen_IqD(ones(length(sval))',sval,Dval);
IApB=IA+IB;
PU=lsqnonneg(IqD,IU);
PApB=lsqnonneg(IqD,IApB);
PAB=lsqnonneg(IqD,IAB);
PAu=lsqnonneg(IqD,IAu);
PBuf=lsqnonneg(IqD,IBuf);
quality=@(scafs) scale(scafs,sval,IU,PU,IApB,PApB,IAB,PAB,IAu,PAu,IBuf,PBuf,sidx,Didx);
init=[1; 1; 0; 0];
opt=fminsearch(quality,init)
figure(1); plot(Dval,PAB+PU-PApB);
figure(2); plot(Dval,PAB+opt(1)*PU-opt(2)*PApB+opt(3)*PAu+opt(4)*PBuf);
Idelta=IAB+opt(1)*IU-opt(2)*IApB+opt(3)*IAu+opt(4)*IBuf;


